{* editSeo *}
<button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#editSeoModal">
    <i class="fas fa-edit me-2"></i>Editovat
</button>
{*modal*}
<div class="modal fade" id="editSeoModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-primary text-white">
                <h5 class="modal-title">Editace SEO popisu</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form n:name="editSeoForm">
                <div class="modal-body">
                    <div class="row px-2">
                        <div class="col-12 mb-3">
                            <label class="form-label">SEO popis</label>
                            <textarea n:name="meta_desc" class="form-control meta-desc" rows="4"></textarea>
                            <div class="form-text"><b>Doporučená délka: <span id="metaDesc-lenght">0</span>/160</b></div>
                        </div>
                        <div class="col-12 mb-3">
                            <label class="form-label">SEO náhled</label>
                            <div class="seo-thumb shadow p-3 mb-3">
                                <div class="name"><span id="seo-name">{$baseInfo['siteName']}</div>
                                <div class="address">{$baseInfo['address']}<span id="seo-address"></span></div>
                                <div class="seo-content" id="seo-content">{$baseInfo['meta_desc']}</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <button class="btn btn-success" n:name="send"><i class="fa-solid fa-save me-2"></i>Uložit</button>
                </div>
            </form>
        </div>
    </div>
</div>
<script>
    $(document).ready(function(){
        var content = $('.meta-desc').val();
        $('#metaDesc-lenght').text(content.length);

        if (content.length > 160){
            $('#metaDesc-lenght').addClass('text-danger');
        }else{
            $('#metaDesc-lenght').addClass('text-success');
        }

        loadSeoContent();

        $('.meta-desc').on("input", function() {
            loadSeoContent();
            if (this.value.length > 160){
                $('#metaDesc-lenght').removeClass('text-success');
                $('#metaDesc-lenght').addClass('text-danger');
                $('#metaDesc-lenght').text(this.value.length);
            }else{
                $('#metaDesc-lenght').removeClass('text-danger');
                $('#metaDesc-lenght').addClass('text-success');
                $('#metaDesc-lenght').text(this.value.length);
            }
        });
    });

    function loadSeoContent(){
        var content = $('.meta-desc').val();

        $('#seo-content').empty();
        $('#seo-content').append(content);
    }
</script>
